<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
EdmUserSetting Enumeration
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : EdmUserSetting Enumeration

Visual Basic
C#
C++/CLI
User settings used by IEdmUser11::SetSettingsVar.

# Syntax

Visual Basic |
--- | ---

    Public Enum EdmUserSetting
       Inherits System.Enum

C# |
--- | ---

    public enum EdmUserSetting : System.Enum

C++/CLI |
--- | ---

    public enum class EdmUserSetting : public System.Enum

# Members

Member | Description
--- | ---
EdmUSv_AutoDelete | 9 = Whether to automatically delete local read-only files that are not part of the vault; 1 = true, 0 = false; this setting corresonds to the "Automatically delete local read-only files that are not part of the file vault" checkbox on the Explorer tab on the Settings dialog that appears when you click "Settings" on the Properties dialog of a user in the Admin Tool
EdmUSv_AutoGetLatest | 11 = Whether to always work with the latest version of files; 1 = true, 0 = false; this setting corresponds to the "Always work with latest version of files" checkbox on the Reference Dialog tab on the Settings dialog that appears when you click "Settings" on the Properties dialog of a user in the Admin Tool
EdmUSv_AutoGetLatestRefs | 43 = Whether to auto-select reference files to get latest when checking out; 1 = true, 0 = false; this setting corresponds to the "Auto select reference files to get latest when checking out" checkbox on the Reference Dialog tab on the Settings dialog that appears when you click "Settings" on the Properties dialog of a user in the Admin Tool

# See Also

####

EPDM.Interop.epdm Namespace